Bug 1052781 - [abrt] bind: dlopen_dlz_configure(): Process /usr/sbin/named was killed by signal 11 (SIGSEGV)
Summary: [abrt] bind: dlopen_dlz_configure(): Process /usr/sbin/named was killed by si...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: 19
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Hozza 🤓
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1ac75d46b842ac8952f13611a8a...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-14 03:46 UTC by Ted Henscheid
Modified: 2014-06-30 18:02 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-03-15 15:22:36 UTC


Attachments (Terms of Use)
File: backtrace (18.98 KB, text/plain)
2014-01-14 03:46 UTC, Ted Henscheid
no flags Details
File: cgroup (157 bytes, text/plain)
2014-01-14 03:46 UTC, Ted Henscheid
no flags Details
File: core_backtrace (3.54 KB, text/plain)
2014-01-14 03:46 UTC, Ted Henscheid
no flags Details
File: dso_list (2.33 KB, text/plain)
2014-01-14 03:47 UTC, Ted Henscheid
no flags Details
File: environ (147 bytes, text/plain)
2014-01-14 03:47 UTC, Ted Henscheid
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-14 03:47 UTC, Ted Henscheid
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-14 03:47 UTC, Ted Henscheid
no flags Details
File: maps (8.21 KB, text/plain)
2014-01-14 03:47 UTC, Ted Henscheid
no flags Details
File: open_fds (355 bytes, text/plain)
2014-01-14 03:47 UTC, Ted Henscheid
no flags Details
File: proc_pid_status (767 bytes, text/plain)
2014-01-14 03:47 UTC, Ted Henscheid
no flags Details
File: var_log_messages (11.92 KB, text/plain)
2014-01-14 03:47 UTC, Ted Henscheid
no flags Details

Description Ted Henscheid 2014-01-14 03:46:52 UTC
Version-Release number of selected component:
bind-9.9.3-5.P2.fc19

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/sbin/named -u named
crash_function: dlopen_dlz_configure
executable:     /usr/sbin/named
kernel:         3.11.8-200.fc19.i686.PAE
runlevel:       N 5
type:           CCpp
uid:            25

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 dlopen_dlz_configure at dlz_dlopen_driver.c:462
 #1 dns_sdlzconfigure at sdlz.c:1687
 #2 dns_dlzconfigure at dlz.c:627
 #3 configure_view at server.c:2185
 #4 load_configuration at server.c:5328
 #5 run_server at server.c:5869
 #6 dispatch at task.c:1116
 #7 run at task.c:1286

Comment 1 Ted Henscheid 2014-01-14 03:46:56 UTC
Created attachment 849706 [details]
File: backtrace

Comment 2 Ted Henscheid 2014-01-14 03:46:57 UTC
Created attachment 849707 [details]
File: cgroup

Comment 3 Ted Henscheid 2014-01-14 03:46:59 UTC
Created attachment 849708 [details]
File: core_backtrace

Comment 4 Ted Henscheid 2014-01-14 03:47:00 UTC
Created attachment 849709 [details]
File: dso_list

Comment 5 Ted Henscheid 2014-01-14 03:47:01 UTC
Created attachment 849710 [details]
File: environ

Comment 6 Ted Henscheid 2014-01-14 03:47:04 UTC
Created attachment 849711 [details]
File: exploitable

Comment 7 Ted Henscheid 2014-01-14 03:47:06 UTC
Created attachment 849712 [details]
File: limits

Comment 8 Ted Henscheid 2014-01-14 03:47:07 UTC
Created attachment 849713 [details]
File: maps

Comment 9 Ted Henscheid 2014-01-14 03:47:09 UTC
Created attachment 849714 [details]
File: open_fds

Comment 10 Ted Henscheid 2014-01-14 03:47:11 UTC
Created attachment 849715 [details]
File: proc_pid_status

Comment 11 Ted Henscheid 2014-01-14 03:47:12 UTC
Created attachment 849716 [details]
File: var_log_messages

Comment 12 Tomáš Hozza 🤓 2014-03-04 15:37:05 UTC
Hi.

First of all, the DLZ driver you want to use with bind uses old API and will
not work with the BIND version we distribute. Note the warning in log:

dlz_dlopen: incorrect version 1 should be 2 in '/usr/local/samba/lib/bind9/dlz_bind9.so'

However I can see a problem in the dlz_dlopen_driver.c. If the version of API
used by the driver is not correct, it will fail (free the memory allocated in
cd) but it returns the value of 'result' variable, which is ISC_R_SUCCESS from
previous calls. Therefore the code execution proceeds and fails with SIGSEGV,
since the memory has been already freed.

Upstream bug ID assigned: [ISC-Bugs #35495]


Are you able and willing to test a testing build with proposed fix?

Comment 13 Tomáš Hozza 🤓 2014-03-05 07:52:54 UTC
Merged by upstream... will be released in  9.10.0, 9.9.6, 9.8.8

Comment 14 Fedora Update System 2014-03-05 14:08:41 UTC
bind-9.9.3-15.P2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bind-9.9.3-15.P2.fc19

Comment 15 Fedora Update System 2014-03-05 14:19:15 UTC
bind-9.9.4-12.P2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bind-9.9.4-12.P2.fc20

Comment 16 Fedora Update System 2014-03-06 08:10:14 UTC
Package bind-9.9.3-15.P2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bind-9.9.3-15.P2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3450/bind-9.9.3-15.P2.fc19
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-03-15 15:22:36 UTC
bind-9.9.4-12.P2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-03-21 09:30:55 UTC
bind-9.9.3-15.P2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Ted Henscheid 2014-06-30 18:02:08 UTC
I performed the update and everything seems to be working fine now thanks!!


Note You need to log in before you can comment on or make changes to this bug.